IIS7(Windows7)下最简单最强安装多版本PHP支持环境 | 好IT
    欢迎访问好IT,推荐使用最新版火狐浏览器和Chrome浏览器访问本网站.

IIS7(Windows7)下最简单最强安装多版本PHP支持环境

教程 小旭 2年前 (2016-07-24) 349次浏览 0个评论 扫描二维码

最近调试程序,要在 PHP5.2 和 5.3 之间换来换去,而习惯了 windows 下的开发,就琢磨怎么在 iis 下安装多版本支持,赫然发现其实微软都为我们准备了好工具。

 

微软对 PHP 的支持越来越强,这点在 IIS7 中体现明显,不但有 FastCgi 的大力支持,还为 PHP 的管理专门增加了个 PHP Manager。有了这个东东,在 windows 环境下基于 iis7 安装 PHP 简直是易如反掌。

虽然现在 PHP5.3 已经出来很久,但许多开源的 PHP 程序都不是很好支持它,还是 PHP5.2 为主流。有了 PHP Manager 这个好东西,在 iis 下安装多个版本的 PHP 也变得非常容易。

具体步骤如下:

1. 在微软的网站上下载 PHP Manager(http://phpmanager.codeplex.com/releases/view/69115),双击安装。这时在 iis 管理界面中就会多一个 PHP Manager 管理选项。

点击查看原图
点击查看原图

2. 从 PHP 官网上下载 windows 版本的 PHP 程序。因为采用 FastCgi 模式运行,所以最新的 5.2.17 和 5.3.8 都选择下载 nts(非线程安全)的 zip 版本。下载下来后,找个地方分别解压缩,例如分别放在 C:\PHP 下的 5.2 和 5.3 目录下。

3. 进入 IIS 管理界面,双击 PHP Manager,选择 Register New PHP Version,这是弹出一个选择框,选择 5.2 版本目录下的 php-cgi.exe 文件,确认。再此点击 Register New PHP Version,选择 5.3 版本目录下的 php-cgi.exe 文件,确认后,多版本的环境就搭建好了。简单吧。

点击查看原图

 

需要用到那个 PHP 版本,就点击 change PHP version 选择需要的版本即可。要检验是否设置好,还可以点旁边的 check phpinfo()来查看相应 PHP 设置信息。

点击查看原图

4. 在 PHP Manager 中对 PHP 的设置也简化了很多,可以在 PHP Setting 和 PHP Extension 里面直接可视化的管理 php.ini,而查看相应的 iis 配置,会发现 php manager 已经为我们生成好了相应的映射,真是方便到家了。

点击查看原图


好 IT, 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权 , 转载请注明IIS7(Windows7)下最简单最强安装多版本 PHP 支持环境
喜欢 (1)
发表我的评论
取消评论
表情 贴图 加粗 删除线 居中 斜体 签到

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址